// src/mergeRefs.ts
var mergeRefs = (...refs) => {
  return (node) => {
    const filtered = refs.filter(Boolean);
    filtered.forEach((ref) => {
      if (!ref)
        return;
      if (typeof ref === "function") {
        ref(node);
      } else if (ref !== null) {
        ref.current = node;
      }
    });
  };
};

export {
  mergeRefs
};
